<div class="addContainer">
  <div class="modalHeader">
    <div class="editRowModal">
      <div class="modalHeader clearfix">
        <div class="modal-about">
          <div class="font-weight-bold p-t-5 p-l-10 font-17">
            {{textodedialogo}}</div>
        </div>
      </div>
    </div>
    <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <div mat-dialog-content>
    <div class="register-form m-4">
      <div class="row">
        <div class="col-md-12">
            <div class="white-box">
            <div class="row">
                <div class="col-md-6 align-items-center">
                <mat-form-field class="example-full-width">
                    <mat-label>Fecha</mat-label>
                    <input matInput [matDatepicker]="pickerPlan" required disabled [(ngModel)]="fechahoy">
                    <mat-datepicker-toggle matSuffix [for]="pickerPlan"></mat-datepicker-toggle>
                    <mat-datepicker #pickerPlan></mat-datepicker>
                </mat-form-field>
                </div>
                <div class="col-md-6 align-items-center">
                <mat-form-field class="example-full-width mb-3">
                    <mat-label>Observaciones</mat-label>
                    <textarea matInput [(ngModel)]="observaciones"></textarea>
                </mat-form-field>
                </div>
                <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table table-hover">
                    <thead>
                        <tr>
                        <th class="text-left" width="30%">Procedimiento / Servicio</th>
                        <th class="text-center" width="10%">Cantidad</th>
                        <th class="text-center" width="10%">Valor</th>
                        <th class="text-center" width="10%">Desc %</th>
                        <th class="text-center" width="10%">Subtotal</th>
                        <th class="text-center" width="10%">Total</th>
                        <th class="text-center"  width="10%">Accion</th>
                        </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let arrayServ of arrayservicio ; let i = index">
                        <td class="text-left">{{arrayServ.Nombre}}</td>
                        <td class="text-center">{{ arrayServ.Cantidad}}</td>
                        <td class="text-center">${{ arrayServ.valor}}</td>
                        <td class="text-center">{{arrayServ.Descuento}}%</td>
                        <td class="text-center">${{ arrayServ.Subtotal}}</td>
                        <td class="text-center">${{ arrayServ.Total}}</td>
                        <td class="text-center">
                          <button mat-icon-button color="accent" class="btn-tbl-edit" (click)="modificararregloservicio(arrayServ,i)">
                            <mat-icon aria-label="Edit" class="col-white">edit</mat-icon>
                          </button>
                          <button mat-icon-button color="accent" class="btn-tbl-delete" (click)="eliminararregloservicio(arrayServ,i)">
                            <mat-icon aria-label="Delete" class="col-white">delete</mat-icon>
                          </button></td>
                      </tr>
                      <tr style="border-top: 2px solid #3c369c;">
                        <td *ngIf="veropciondeagregar === false">
                          <mat-form-field style="width: 100%;">
                            <mat-select placeholder="Elegir opcion">
                              <mat-option>
                                <ngx-mat-select-search [formControl]="bankFilterCtrl" noEntriesFoundLabel="No hay resultados"></ngx-mat-select-search>
                              </mat-option>
                              <mat-option *ngFor="let serv of servicios1" [value]="serv" (click)="valores(serv)">
                                {{serv.Nombre}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </td>
                        <td class="text-left" *ngIf="veropciondeagregar === true">{{nombreservicio}}</td>
                        <td class="text-center"><input type="number" min="1" class="border widt text-center" placeholder="#" style="border-radius: 10px;width: 80%;" [(ngModel)]="cantidad" [disabled]="nombreservicio === ''" (change)="operaciones()"></td>
                        <td class="text-center"><input class="border widt text-center" placeholder="c/u" size="10" style="border-radius: 10px;" [(ngModel)]="valor" disabled></td>
                        <td class="text-center"><input type="number" min="0" max="100" class="border widt text-center" placeholder="%" style="border-radius: 10px;width: 80%;" [(ngModel)]="Descuento" [disabled]="nombreservicio === ''" (change)="operaciones()"></td>
                        <td class="text-center"><input class="border widt text-center" placeholder="$ 0.00" size="10" style="border-radius: 10px;" [(ngModel)]="subtotal" disabled></td>
                        <td class="text-center"><input class="border widt text-center" placeholder="$ 0.00" size="10" style="border-radius: 10px;" [(ngModel)]="total" disabled></td>
                        <td *ngIf="veropciondeagregar === false"><button mat-raised-button color="primary" class="text-center" (click)="anadirservicio()" [disabled]="!cantidad" style="border-radius: 10px;">+Añadir</button></td>
                        <td class="text-center" *ngIf="veropciondeagregar === true">
                          <button mat-icon-button color="accent" class="btn-tbl-edit" style="background: #31c380eb;" (click)="modificarelementotabla()">
                            <mat-icon aria-label="Done" class="col-white">done</mat-icon>
                          </button>
                          <button mat-icon-button color="accent" class="btn-tbl-delete" style="background: #ea0000a3;" (click)="cambiarcondicion()">
                            <mat-icon aria-label="Clear" class="col-white">clear</mat-icon>
                          </button>
                        </td>
                      </tr>
                    </tbody>
                    </table>
                </div>
                </div>
                <div class="col-md-12">
                <div class="pull-right m-t-30 text-right">
                    <p>Sub total: ${{ sumatotal || '0.00'}}</p>
                    <p>Total impuestos ( IVA 16%): ${{ totalconinpuesto || '0.00'}} </p>
                    <hr>
                    <h3><b>A pagar :</b> ${{ totalapagar || '0.00'}}</h3>
                </div>
                <div class="clearfix"></div>
                <hr>
                <div class="text-right">
                    <button mat-flat-button color="primary">
                        <i class="fas fa-print"></i>
                    Imprimir
                    </button>
                </div>
                </div>
            </div>
            </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <div class="example-button-row">
            <button mat-raised-button color="primary" [disabled]="totalapagar === '' "
            [mat-dialog-close]="1" (click)="confirmAdd()">Guardar</button>
            <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancelar</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
